# samples/11_camera_object_identification/opencv_consumer_lib/Classifier.h File Reference

`#include <caffe/caffe.hpp>`
`#include <opencv2/core/core.hpp>`
`#include <opencv2/highgui/highgui.hpp>`
`#include <opencv2/imgproc/imgproc.hpp>`

Go to the source code of this file.

## Classes

class | Classifier

## Typedefs

typedef std::pair< string, float > | Prediction

## Typedef Documentation

typedef std::pair<string, float> Prediction

Definition at line 29 of file Classifier.h.